# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXMessage

Function

Presents a message to the user.

Syntax
`
#include <dx/dx.h>
`

void DXMessage(char *message, ...)

Functional Details

The message string should not contain newline characters, because the `DXMessage` routine formats the message in a manner appropriate to the output medium. For terminal output, this includes prefixing the message with the processor identifier and appending a newline. The `message` may be a `printf` form string, in which case additional arguments may be necessary.

You can also invoke standard error messages by specifying `message` as

    "#number"

where `number` identifies a message in the file `/usr/lpp/dx/messages`. Note that many of the messages require one or more arguments.

Note: In combination with two other library routines, `DXMessage` can be used to form "long" messages. For details, see DXBeginLongMessage, DXEndLongMessage.

Return Value

None.

See Also

`DXBeginLongMessage, DXEndLongMessage, DXSetError, DXErrorReturn, DXErrorGoto, DXWarning`

13.1 , "Error Handling and Messages".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]